# -*- coding: utf-8 -*-
import dash
import dash_core_components as dcc
import dash_html_components as html

import json

if __name__ == '__main__':    

    data = {}

    ############################################################################
    #                       Exercise steps                                     #
    #                                                                          #
    #   Step 1. Open the 02_dash-barchart-exercise-data.json                   # 
    #   Step 2. json.load to a variable called data                            #        
    #   Step 3. Fill codes for the step at Ln 52                               #        
    #   Step 4. Fill codes for the step at Ln 57                               #        
    ############################################################################
    # Fill your file open and json load codes here
    
    
    
    ############################################################################
    
    # get x labels in order
    hashtags_in_order = sorted(data.keys(), key=lambda hashtag: data[hashtag], reverse=True)
    
    # get corresponding counts in order
    counts_in_order = [data[hashtag] for hashtag in hashtags_in_order]   

    
    # initialize Dash environment
    app = dash.Dash()

    # set up an layout
    app.layout = html.Div(children=[
        # H1 title on the page
        html.H1(children='Hello Dash for HCDE 530'),

        # a div to put a short description
        html.Div(children='''
            This is a simple Dash application for HCDE 530
        '''),

        # append the visualization to the page
        dcc.Graph(
            id='example-graph',
            figure={
                # configure the data
                'data': [
                    # Step 3: set x to be hashtags, and y to be the counts. We use bars to represent our data.
                    
                ],
                # configure the layout of the visualization -- set the title to be Oscar 2016 hashtags
                'layout': {
                    # Step 4: Set the title to be "Top Oscar 2016 hashtags on Feb 23, 2016"
                    
                }
            }
        )
    ])
    
    # start the Dash app
    app.run_server(debug=True)